---
label: Notebooks
---

# How do I organize notes with notebooks?

Even with thousands of notes, using notebooks will always help you keep your notes organized and tidy with easy access. Every notebook consists of different topics where you can add and create your notes.

## Creating a notebook
+++ Desktop/Web
1. Go to `Notebooks` from side menu.
2. Click on the `+` button on top right corner to open `Create notebook` dialog
3. Add title and description(Optional) to for your notebook.
4. Add topics to your notebook.
5. Click on `Add` button.
6. You have created your notebook!
+++ Mobile/Tablet
1. Go to `Notebooks` from side menu.
2. Press the `+` button on bottom right corner to open `Create notebook` dialog
3. Add title and description(Optional) to for your notebook.
4. Add topics to your notebook.
5. Press the `Add` button.
6. You have created your notebook!
+++

## Editing an existing notebook
+++ Desktop/Web
1. Go to `Notebooks` from side menu.
2. Right click on the Notebook or click on the `three-dot more` button to open `Notebook properties`
3. Select `Edit Notebook`
4. Edit the title or description
5. Add/Remove/Rename any topics
6. Click on `Edit notebook` button to save the changes
+++ Mobile/Tablet
1. Go to `Notebooks` from side menu
2. Press the `three-dot more` button on the notebook to open `Notebook properties` sheet
3. Press on `Edit Notebook`
4. Add title and description(Optional) to for your notebook
5. Add topics to your notebook.
6. Press `Save` button to save changes
+++

## Adding a new topic
+++ Desktop/Web
1. Go to `Notebooks` and open a notebook
2. Click on the `+` button on top right corner to open `Add topic` dialog
3. Enter title of the topic
4. Click on `Add` button to add topic.
5. You have added a new topic to notebook
+++ Mobile/Tablet
1. Go to `Notebooks` and open a notebook
2. Press the `+` button on bottom right corner to open `Add topic` dialog
3. Enter title of the topic
4. Press the `Add` button.
5. You have added a new topic to notebook
+++

## Editing an existing topic
+++ Desktop/Web
1. Go to `Notebooks` and open a notebook
2. Right click on a topic or click on `three-dot more` button to open `Edit topic` dialog
3. Enter the new title for the topic
4. Click on `Edit topic` button to save changes
+++ Mobile/Tablet
1. Go to `Notebooks` and open a notebook
2. Press the `three-dot more` button to open `Topic properties`
3. Press on `Edit topic` to open `Edit topic` dialog
4. Enter the new title for the topic
5. Press `Save` button to save changes
+++
## Creating a new note in topic
+++ Desktop/Web
1. Go to `Notebooks` and open a notebook
2. Open the topic in which you want to add a note
3. Click on the `+` button on top right corner and start writing note in the editor
4. Note will be added to the topic
+++ Mobile/Tablet
1. Go to `Notebooks` and open a notebook
2. Open the topic in which you want to add a note.
3. Click on the `+` button on bottom right corner to open the editor or just **swipe from right to left** to open editor
4. Start writing in editor to create a note in the topic
+++
## Adding an existing note to a topic
+++ Desktop/Web
1. Right click on a note or click on the `three-dot more` button to open `Note properties` sheet
2. Select `Add to Notebook(s)`
3. Click on a notebook to expand topics
4. Select the topic(s) in which you want to add your note. **A single note can exist in multiple topics and notebooks.**
5. You can also create new topics/notebooks from the dialog quickly
6. Click done to close the dialog.
+++ Mobile/Tablet
1. Press the `three-dot more` button to open `Note properties` sheet
2. Press on `Add to`
3. Press on a notebook to expand topics
4. Select the topic(s) where you want to add your note. **A single note can exist in multiple topics and notebooks.**
5. You can also create new topics/notebooks from the dialog quickly
6. Once done, swipe down to close `Add to notebook(s)` sheet.
+++

## Adding multiple notes to a topic
+++ Desktop/Web
1. Right click on a note or click on the `three-dot more` button to `Note properties` menu
2. Click on `Select` to enter multi-select mode
3. Click on the notes you want to select.
4. Click on the `notebook-plus` button to the header to open `Add to notebook(s)` dialog
3. Click on a notebook to expand topics
4. Select the topic(s) in which you want to add your notes. **Notes can exist in multiple topics and notebooks.**
5. You can also create new topics/notebooks from the dialog quickly
6. Click done to close `Add to notebook(s)` dialog.
+++ Mobile/Tablet
1. Long press on a note.
2. Click on `Select` from the `Action bar`.
3. Press on the notes you want to select
4. Press the `+` button in top header to open `Add to notebook` sheet
3. Click on a notebook to expand topics
4. Select the topic(s) where you want to add your note. **Notes can exist in multiple topics and notebooks.**
5. You can also create new topics/notebooks from the dialog quickly
5. Once done, swipe down to close the sheet.
+++

## Remove note from a topic
+++ Desktop/Web
1. Right click on a note or click on the `three-dot more` button to open `Note properties` menu
2. Select `Add to Notebook(s)`
3. The notebooks in which the note exists will appear green. Click on the notebook to expand topics
4. Click on the topics in notebook from which you want to remove th note. **A single note can exist in multiple topics and notebooks.**
5. Click done to close the dialog.
+++ Mobile/Tablet
1. Press the `three-dot more` button on the note to open `Note properties` sheet
2. Press on `Add to`
3. The notebook(s) in which the note exists will appear green. Press on a notebook to expand topics
3. Press on `remove note` button on a topic to remove the note.
5. Once done, swipe down to close `Add to notebook(s)` sheet.
+++

## Delete a topic
+++ Desktop/Web
1. Go to `Notebooks` and open the notebook from which you want to delete a topic.
2. Right click on the topic or click on the `three-dot more` button to open `Topic properties` menu
3. Click on `Delete` to delete the topic.
+++ Mobile/Tablet
1. Go to `Notebooks` from side menu and open the notebook from which you want to delete a topic.
2. Press the `three-dot more` button to open `Topic properties` sheet
3. Press `Delete` to delete the topic.
+++

## Move a notebook to trash
+++ Desktop/Web
1. Go to `Notebooks`
2. Right click on the topic or click on the `three-dot more` button to open `Notebook properties` menu
3. Click on `Move to trash`.
4. Notebook will be kept in trash for 7 days after which it will be permanently removed.
+++ Mobile/Tablet
1. Go to `Notebooks`
2. Press the `three-dot more` button to open `Notebook properties` sheet
3. Press `Move to trash` to delete the topic.
4. Notebook will be kept in trash for 7 days after which it will be permanently removed.
+++

